Multiple Registration - Critical - Access bypass - SA-CONTRIB-2019-048

2019-05-22
Critical
拡張モジュール

2019/5/15(日本時間:GMT+9)、拡張モジュールにおいて脆弱性が発見されました。
インストールしているDrupalの導入モジュールを確認のうえ、必要な場合はアップデートをおすすめします。

●プロジェクト :Multiple Registration
●投稿日 :2019/5/15
●セキュリティリスク : Critical
●脆弱性 : Access bypass

==概要==
このモジュールを使用すると、特別な役割とその役割に定義されたカスタムフィールドセットを使用したユーザー登録に特別なルートを使用できます。

ユーザーが管理者ロールでユーザーを登録しようとしたときに、モジュールはどのユーザーロールを登録できるかを十分に確認することができません。

この脆弱性は、ユーザーがブロックされた状態で起動したにもかかわらず "Administrator"ロールを取得したままアカウントの承認が必要とされるサイトで軽減されます。

==解決方法==。
Drupal 8.x用のMultiple registration moduleを使用している場合は、Multiple registration 8.x-2.8にアップグレードしてください。

==元記事==
https://www.drupal.org/sa-contrib-2019-048